This is KVIrc's changelog. It tipically lists new added features and changes that modify
KVIrc's previous behaviour. For a more detailed (and up to date) log, point your browser at:
https://github.com/kvirc/KVIrc/commits/master

Update: 20141104

November 2014
   [OmegaPhil]
   - KVIrc Script: 'WordBreak' alignment type for the hbox, vbox and label
     widgets has been renamed to 'Justify' to reflect what it actually does -
     this will break any scripts using this alignment type currently (sorry)

May 2012
   [egns]
   - Change max dcc packet size to increase the transfer speed

April 2012
   [CtrlAltCa]
   - system.runcmd: added gnome-terminal to the list of terminals, added
     proper handling for osx Terminal.app
   - new splashy
   - use fixup_bundle to create a distributable OSX bundle

March 2012
   [CtrlAltCa]
   - Add support for magnet and spotify urls
   - Added CP949 to KviLocale
   - A lot of misc OSX fixes
   [pragma]
   - Added Aria theme

February 2012
   [CtrlAltCa]
   - Dropped the KviTalPopupMenu layer, ported the involved code to QAction

January 2012
   [CtrlAltCa]
   - Some work on cleaning window management and activation
   [dessa]
   - Improved support for msvc
   [HelLViS69]
   - Added $file.time() function

December 2011
   [CtrlAltCa]
   - added $insideAlias(): a function to identify whether code was called as
     /alias or $function
   [pragma]
   - Add a -t switch to system.runcmd so a terminal can be explicitly provided
   - Allow STARTTLS to be used also without CAP support

November 2011
   [Noldor]
   - Improvements in class webview, cleaning of kvs classes

September 2011
   [CtrlAltCa]
   - Theme the background of KviSharedFilesWindow
   [egns]
   - Added rejoin popup entry on dead channels

August 2011
   [CtrlAltCa]
   - Win32 only: fixed some visual artifacts removing WS_EX_LAYERED attribute from
     KviMainWindow when global transparency is not used
   - Improve irc:// url handling: avoid a double connection when the url points to
     an already connected server
   - Added KviShortcut to better handle keyboard accellerators
   - Dropped cryptopp dependency
   [egns]
   - Make KVIrc compile under clang

July 2011
   [CtrlAltCa]
   - SSL certificate fingerprint verification
   - Added "force KVS mode" shortcut modifier
   - Improved KviCString
   - Splitted Initialization Vector engine to its own file and added real CBC mode to
     Rijndael engine (wip)

June 2011
   [egns]
   - Reworked IRC URI handling using regexp and added the possibility to paste a URI
     in the address bar or type a host directly without the protocol (eg: irc://)
   [CtrlAltCa]
   - Discriminate channels across different networks in settings
   - Added case sensivity flag to $str.* functions
   [Noldor]
   - Improved SQL object class

May 2011
   [HelLViS69]
   - Added the ability to export logs to different formats (plain text, HTML, ...)
   - Added $log.export() function
   [egns]
   - Added mediaplayer interface for Spotify
   [Pragma]
   - Added 16x16 and 48x48 icon sizes
   [Noldor]
   - Added alpha component in color options
   - Added $file.diskspace(), $isBot() and $gender() functions
   - Added Qt SVG support
   - Ported the pseudo transparency to Qt way
   [CtrlAltCa]
   - Reworked toolbars (including drag'n'drop) and ported actions to Qt way
   - Improved the input editor

*** Released KVIrc 4.0.4 (r5648) - 2011-03-19 ***

March 2011
   [CtrlAltCa]
   - Reworked Ircview tools
   - Added $context.connectionStartTime and $context.lastMessageTime
   - Use the OS style for treewindowlist and userlist selection
   [Noldor]
   - Added webview KVS class
   [Pragma]
   - Added a first theme and addon application interface
   [egns]
   - Bumped Qt requirements to 4.6

February 2011
   [Pragma]
   - Fixed some memory leaks :)
   [Noldor]
   - KVS improvements

January 2011
   [Pragma]
   - Added a new DNS resolver that doesn't rely on OS native implementation
   - Added alternative network-specific and server-specific nicknames
   [HelLViS69]
   - Reworked icon stuff moving defines to enums
   - Improved KDE notifier
   - Killed some KviQString helpers
   [Noldor]
   - Ported KVS socket class to Qt API
   [CtrlAltCa]
   - Added mediaplayer support for Clementine
   - Implemented smart logging path
   - Added FiSH module

December 2010
   [Pragma]
   - Reorganized the whole code in subdirs, renamed files, removed very old code, ...
   - Added context.clearQueue
   - Added the new "autojoin this channel" feature
   [CtrlAltCa]
   - Added $listtimers function
   - Improved ignore alias
   - Improved support for some RAW events
   - Reworked the text encoding menu
   - Implemented 3-stage locking in popups
   [HelLViS69]
   - Splitted classes in their own files

November 2010
   [Pragma]
   - Tweaked the IPC code
   - Reworked the undo/redo implementation
   [CtrlAltCa]
   - Added $window.isDocked and window.savePropertiesAsDefault, removed some hardcoded
     functionality to a new GUI popup
   - Added support for Vlc and Totem mediaplayer

October 2010
   [HelLViS69]
   - Added the default script manager: from now on you can restore the default script
     choosing which parts of it to restore, without losing user personal data
   - Cleaned code and added Doxygen documentation
   - Moved defscript translation to core
   [Pragma]
   - Added $aliasBody(), $file.readBytes() functions and file.writeBytes command
   [CtrlAltCa]
   - Added keyboard support in userlist
   - Added OnInputBarPaste event
   - Added shortcuts for font {in/de}creasing and restoring original font
   [Noldor]
   - KVS code improvements

September 2010
   [CtrlAltCa]
   - Added userlist and popup modules
   - Reworked logviewer and help modules
   [Noldor]
   - KVS code improvements

August 2010
   [HelLViS69]
   - Added DBus notification system
   - Tweaked Update Applet to allow checking of SVN revisions
   - Tweaked last read marker icon to allow scrolling back when clicked
   - Added IRCop icons as gender icon
   - Cleaned code and added Doxygen documentation
   [CtrlAltCa]
   - Added SSL backend to DCC transfer
   - Added ssl-certificate related functions: $dcc.getSSLCertInfo(), $certificate(), $str.evpSign(),
     $str.evpVerify()
   - Implemented better parser for 005 CHANMODES and added automatic modes discovery ability
     to mode widget and mode editor
   - Added $chan.modeParam()
   - Added line-marker shortcut
   [Noldor]
   - Added the trayicon KVS class

*** Released KVIrc 4.0.2 (r4744) - 2010-08-01 ***

Jun 2010
   [CtrlAltCa]
   - Added $escape() function
   - Updated avdevice library
   - Improved kvirc-script
   [Pragma]
   - Improved python interpreter
   - Rewrited parts of the regchan module
   - Added debug macros and tools
   [Noldor]
   - Improved object classes and KVS code
   - Memory leaks fixes
   [HelLViS69]
   - Added Japanese translation files

*** Released KVIrc 4.0.0 (r4555) - 2010-06-29 ***

Jun 2010
   [Pragma]
   - Fixes for some bugs reported on trac
   - Minor cleanups

May 2010
   [HelLViS69]
   - Rewrote the shortcut system

April 2010
   [CtrlAltCa]
   - added text to dcc video
   - moved the "smart nick colors" functions to their own file and added the ability to expose
     your current personalized nick colors to others

March 2010
   [Pragma]
   - Make the default script translatable again. This time in its own set of po
   [Noldor]
   - Improved the logview module
   [Noldor and HelLViS69]
   - Improvements in theme manager
   [CtrlAltCa]
   - Ported the old scripts to kvirc4's kvs
   - added $uflags()

February 2010
   [CtrlAltCa]
   - Avoid the use of X11 api to get an ARGB visual; use Qt::WA_TranslucentBackground instead
   - Better support for freenode's ircd-seven:
     introduce a delayed queue for requests, to avoid excess floods
     full support for +q (quiet ban) mode
   - added support for CAP (extended capabilities)
   - added support for SASL (plain and dh-blowfish methods)
   - Readded the theme choice on first setup
   [Noldor]
   - Rewrote the aliaseditor module
   - KVIrc theme manager script
   - Created classeditor module
   [HelLViS69]
   - Readded the ability to customize CTCP version reply

January 2010
   [CtrlAltCa]
   - Added realtime filtering for channels list (request #60)
   - Kde4 emoticon theme
   [Noldor]
   - Fixed installing script while aliaseditor is open
   - Ported Newsticker script
   - KVS improvements/cleaning
   - Ported Objectsdumptree script
   - Ported Twins Media Player, Twinslagbar and Twinsquotes scripts

December 2009
   [CtrlAltCa]
   - Support for -fvisibility=hidden compilation flag
   - Switched license to GPL2 or later
   [HelLViS69]
   - Added function $chan.common
   - Added Mozilla Songbird support
   - Added ISO 8601 and system locale datetime formats configurable from options

November 2009
   [CtrlAltCa]
   - first shy implementation of dcc video
   [Curan]
   - merged the no_embedded branch to trunk

October 2009
   [HelLViS69]
   - Reworked the whole addon system: the new packaging handler with a simple wizard will guide
     you during the addon creation process. Moreover now you need to follow a strict set of rules
     to ensure the standardization of .kva (KVIrc Addon) extension
   - Added $realname() function
   - Removed KviTalScrollView and KviTalTextEdit classes
   - Moved bytes multiples from SI to IEC standard (KiB, MiB, GiB instead of KB, MB, GB)
   [CtrlAltCa]
   - Finished the Python scripting support
   - Modified all accelerators
   - Improved url module
   - Removed KviTalTreeWidget class
   - More work on Phonon
   - Created documentation file on keyboard shortcuts

26 August 2009
   [CtrlAltCa]
   - Reworked the icon window

16 August 2009
   [desowin]
   - Added compatibility with recent audacious versions

09 August 2009
   [CtrlAltCa]
   - New option: path for logfiles saving

04 August 2009
   [Noldor]
   - Reworked code completer

01 August 2009
   [CtrlAltCa]
   - Create dcc windows inside the irc context that generates them

30 July 2009
   [HelLViS69]
   - First testing implementation of python support: this IS NOT intended to work yet!
   [CtrlAltCa]
   - Added option for personal nick colors and avoid to use them for others's nicks

27 July 2009
   [CtrlAltCa]
   - Support for +f channel mode

25 July 2009
   [CtrlAltCa]
   - Replaced win32 icon with a hi-res vista/win7 capable one

19 July 2009
   [CtrlAltCa]
   - Changed window.setWindowTitle() syntax to match current qt implementation
   [Curan]
   - Merged patched from no_embedded_code branch, mostly $str.digest and libcrypto++ support

17 July 2009
   [CtrlAltCa]
   - Added the possibility to close a window using a middle mouse button click

12 July 2009
   [CtrlAltCa]
   - Deleted some old win32 install scripts and modified the others to fit kvirc4

08 July 2009
   [HelLViS69]
   - Removed TODO-Qt4 since the port is complete

08 July 2009
   [CtrlAltCa]
   - Rewritten notifier module

06 July 2009
   [desowin]
   - Added Qmmp mediaplayer interface

03 July 2009
   [HelLViS69]
   - Added classes file in default script: this is useful to create addon

01 July 2009
   [HelLViS69]
   - Removed KviQCString with QByteArray

25 June 2009
   [HelLViS69]
   - Translated man page to italian

23 June 2009
   [Curan]
   - Translated man page to german

21 June 2009
   [CtrlAltCa]
   - Added a cmake variable to manually set the revision number

02 June 2009
   [Curan]
   - Added system.runcmd: runs the specified command in a terminal

31 May 2009
   [Kebianizao]
   - Applied patch to achieve freedesktop icon naming compliance

30 May 2009
   [HelLViS69]
   - Applied patch for including per freedesktop mimetypes definitions, thanks to Pino Toscano

23 May 2009
   [wrar]
   - Added a possibility to switch to next/previous "active" window with Alt-PgUp/PgDown

08 May 2009
   [mren & Kebianizao]
   - Updated FSF address in all source files

25 March 2009
   [CtrlAltCa]
   - Added a tick to show/hide passwords in edit fields

15 March 2009
   [CtrlAltCa]
   - Added zsh-style nick completion
   - Added tmphighlight.addChannel(), tmphighlight.removeChannel(), $tmphighlight.isChannelHighLighted()

13 March 2009
   [CtrlAltCa]
   - Added support for IPv6 policies handling under win32

02 March 2009
   [CtrlAltCa]
   - Added support for fake transparency under win32

27 February 2009
   [CtrlAltCa]
   - Added support for real transparency using compositing under X11
   - Removed old KDE3 fake transparency

19 February 2009
   [CtrlAltCa]
   - Rewrote the ircview selection system

16 February 2009
   [CtrlAltCa]
   - Added ROT13 crypto algorithm

06 February 2009
   [Noldor]
   - New KVS object classes: added datetimeedit, sql tablewidget and memorybuffer

27 January 2009
   [HelLViS69]
   - Splitted locale stuff for modules and merged similar stuff

20 January 2009
   [CtrlAltCa]
   - Implemented customizable colors for own nick

06 January 2009
   [CtrlAltCa]
   - Improved compilation under MingW

29 December 2008
   [CtrlAltCa]
   - Replace tabulation chars with spaces in input editor when pasting

11 December 2008
   [thexception]
   - Reimplemented tilings in MDI windows

28 November 2008
   [CtrlAltCa]
   - Implemented Undo/Redo in input box

18 November 2008
   [HelLViS69]
   - Added Python to the parser at low level

17 November 2008
   [CtrlAltCa]
   - Removed old interfaces to mediaplayer based on old KDE3/DCOP
   - Ported torrent module to KDE4/DBus
   - New function: added $system.dbus to control DBus events

   [HelLViS69]
   - Initial Python support (wip)

12 November 20080
   [Noldor]
   - Splitted locale stuff for object classes

   [HelLViS69]
   - Splitted locale stuff for KVIrc target

04 November 2008
   [CtrlAltCa]
   - Fixed windows security bug on IRC URI handler

   [thexception]
   - Rewrote the entire MDI subsystem

20 October 2008
   [HelLViS69]
   - Implemented network profiles (wip)

02 October 2008
   [CtrlAltCa]
   - Splitted the huge monster KviIrcView

   [HelLViS69]
   - Added the possibility to load a part of a log into the channel/query buffer

25 September 2008
   [Noldor]
   - Added the code completer in the editors

13 September 2008
   [HelLViS69]
   - New event: added OnOutboundTraffic which triggers on all data sent to the
     server
   - Splitted the monster KviInput

08 September 2008
   [desowin]
   - The KviMPRISInterface should be complete (implement everything that is used by
     KviMediaPlayerInterface and what's in MPRIS 1.0 spec)

03 September 2008
   [HelLViS69]
   - New KVS command: added 'inject'

29 August 2008
   [HelLViS69 & Pragma]
   - Added STARTTLS protocol

   [HelLViS69]
   - Added Doxygen comments for documentation creation (wip)

24 August 2008
   [CtrlAltCa]
   - KVIrc executable and kvilib now qt3-aware

   [Alexey]
   - Added support for animated smiles :) (wip)

buh :) - 16 August 2008
   [KVIrc Development Team]
   - Qt4 porting (wip)
   - Fixed tons of bugs
   - Cleaned up source code: many unused or deprecated functions have been removed,
     code optimizazions and many comments have been added
   - New build system: removed autotools in favour of CMake (thanks to all people
     who helped us reaching this point :)

   [Alexey]
   - Added support for animated avatars :)

   [CtrlAltCa]
   - KVS: added window.highlight command and $window.highlightLevel function
   - Avatar: added the ability to expose avatar in realname; others can understand
     if someone has an avatar set without the need of a ctcp;
   - Got Phonon working under win32
   - Added UPnP support

   [HelLViS69]
   - Finally updated this file :)
   - Improved About module
   - New StatusBar applet: Update Indicator
   - Improved StatusBar clock applet
   - New KVS command: added 'continue'
   - New KVS function: added $objects.name
   - New KVS module: with serverdb you can manipulate the server list DB
   - New KVS module: with proxydb you can manipulate the proxy list DB
   - Added style customization to the last read marker line, its own new icon will
     appear above to improve readablity :)

   [Voker57]
   - New audio support: Phonon (wip)

   [desowin]
   - New mediaplayer support: added Audacious Media Player and MPRIS backend


==================================================================================

02 May 2007 - 12 March 2008
   [KVIrc Development Team]
   - A lot of changes documented in the svn log. See http://svn.kvirc.de/kvirc/ for the timeline.

02 May 2007
   [Alexey]
   - New KVS functions: $serialize and $unserialize to deal with JSON-serialized strings

16 Apr 2007
   [Noldor] (with the input from Pragma and Iakko)
   - Iakko's notifier is back. New in this version:
     1) QT4 compatible (on win and macos it is uses fast setWindowOpacity effect instead internal notifier blend())
	 2) Added Option to disable fadein/out effect useful on slow machine (need test)
	 3) Fixed strange crash on QT4 and some minor bug in show/hide event. (it is a trick... need to debug)
	 This a w.i.p. and need some test on linux.

12 Apr 2007
   [TheXception]
   - Added $system.call to call functions of dll/so files via kvs.

10 Apr 2007
   [Alexey]
   - Configurable avatar scaling on load
   - Human-redable file sized on dcc transfers

12 Mar 2007
   [Alexey]
   - Added support for remote dns on socks5 proxy
   - Added option to configure identd output mode

06 Mar 2007
   [Pragma]
   - Added svg and generated png icons for kvs,kvc,kvt and kva files.
     Added the KDE mimetypes too.
   - Some fixes for Qt4 support

26 Feb 2007
   [Alexey]
   - Added Export/Import feature to channel list module

25 Feb 2007
   [Alexey]
   - Repainted reuser list
   - Added search field for mask editors

24 Feb 2007
   [Noldor]
   - New QT4 win compiling projects: still unusable... kvilib and kvirc compile but only in release;
     you need to compile qt libraries by yourself then try to compile kvilib and kvirc (use COMPILE_USE_QT4 in kvi_wincfg.h).
     Some module compile without problem... others need to be ported.

20 Feb 2007
   [Alexey]
   - Completely reworked ignore system
   - Implemented reguser match caching
   - Implemented custom color for registered user caching
   [Pragma]
   - Yet more Qt4 port.
     - We now require Qt >= 4.2.2 for Qt4 support to work. Older 4.x versions
       have bugs that can't be worked around and tend to crash kvirc
       in various circumstances (including displaying tooltips).
       Qt 4.2 also re-adds the possibility to add QWidget objects to popup menus.
     - Yet more modules ported.
   - A fix for the KVS expression operator precedence.
   - A couple of general fixes that I can't remember but have been reported on
     the list.
   - I'm thinking about qmake support (as suggested by Matteo Catanese some time ago)
     ... will require some work ... what do you think about it ?

18 Feb 2007
   [Alexey]
   - Fixed dns resolver under win32
   - Fixed minimized channels open
   - Added bot detection icon (who will write docs?)
   - Fixed winamp plugin problem under win32 (removed msvcr80.dll dependency)

08 Feb 2007
   [Pragma]
   - More Qt 4.x port.
     Solved the most disturbing problems: it looks a lot better now.
     - Font metric cache values can no longer be computed directly from a
       widget's font. We must use the painter idea of the font instead.
       This complicates caching a bit.
     - Some of the QPainter functions seem to behave in a bit different way
     - QFrame::drawContents() is gone... we need to reimplement paintEvent()
     - The setAutoFillBackground(false) setting seems to be propagated to children
       in some way (?) (as opposed to backgroundMode(NoBackground) in Qt3)
     - QToolButton::drawButton() is gone, need to directly drawPixmaps instead...
     - ...
     Ported also the first couple of modules.

     Qt 4 causes a lot of problems in porting but I'm starting to feel
     like the new library is very cool :)

05 Feb 2007
   [Pragma]
   - The KVIrc executable now compiles and starts with Qt4. With Qt3 everythin
     should work just like it did before.

     No modules are ported yet so a lot of functionality is not available...
     ... but it CAN connect to a server :)
     It tends to crash once in a while, has nasty problems with
     graphics and size of certain widgets: will need some hours of debugging.

     When testing the Qt4 port make sure you (re)move your old binary
     modules from /usr/local/share/kvirc/3.2/. KVIrc will attempt to load
     some modules from there and since they're linked to Qt3 the runtime
     (loader) is likely to go nuts with two Qt versions in memory.
     You have been warned... :)

30 Jan 2007
   [Alexey]
   - Introduced option "using identd only on connect"

29 Jan 2007
   [Alexey]
   - Introduced search in log files

25 Jan 2007
   [Pragma]
   - Yet more Qt 4.x port
   - Added the torrent interface module by Alexander Stillich

21 Jan 2007
   [Pragma]
   - More Qt 4.x port
   - More multiple identities work
   - Added the first considerations about the Qt 4.x port to hackers.guide.txt

20 Jan 2007
   [Pragma]
   - Another quick fix (for config values not saved correctly)
   - Started the implementation of multiple identities.

19 Jan 2007
   [Pragma]
   - Added the fixes for a couple of bugs introduced with the yesterday commit.
     Thnx to Alexander Stillich for the detailed report :)

18 Jan 2007
   [Pragma]
   - More Qt 4.x port. kvilib now compiles cleanly with both Qt 4.x and Qt 3.x.
     Don't know if it really works since kvirc compilation still bails out. We'll see :)

15 Jan 2007
   [Pragma]
   - Fixed the smart encoders a bit more
   - Theme management: rewritten the theme save dialog as a wizard, added screenshot management.
   - Really first step to Qt 4.x support: added ./configure switches to handle qt4 and
     fiddled the makefile variables to contain the right include and library paths.
     Still have no idea if everything works correctly since compilation bails out
     very early in kvilib.
     You're likely to have problems with moc since the configure script tends
     to find the Qt 3.x moc instead of the correct one. Use the --with-qt4-moc option
     to force the right moc compiler path.
     In Qt 4.x mode the COMPILE_USE_QT4 preprocessor variable is set: use it for conditionals...
     an #ifdef COMPILE_USE_QT4 is more or less equivalent to #if QT_VERSION >= 0x040000.
     We will need to "abstract" several collection classes to make everything
     work with both Qt 3.x and Qt 4.x. The goal is (or better would be) to hide everything in
     kvilib in order to have almost no conditional compilation in the kvirc core and in the modules.
   - Added a discussion about the versioning scheme in the hackers.guide.txt. Give
     it a read and make/add your comments :)

12 Jan 2007
   [Pragma]
   - Added a set of smart encoders that send in UTF-8 instead of the child encoding
   - Fixed a nasty bug in KviQString::vsprintf() that caused KVIrc to crash in response
     to certain messages from server
   - Added corrections and null checks in some places to make KVIrc resist to
     the ircfuzz.c attack.
   - Committed the spanish translation by Roberto Ciria

08 Jan 2007
   [Pragma]
   - More work on the themeing engine. Nearly finished.
     The theme packages created since Dec 28 aren't compatible anymore.
     (nobody was able to load them yet anyway :D), sorry.
   - Added support for the audacious media player, thnx to Alexander Stillich <torque at pltn dot org> :)
   - Added #kvirc channel links in the help menu. Please add your own localized #kvirc channel.

06 Jan 2007
   [Alexey]
   - Added gender info sharing tricks

28 Dec 2006
   [Pragma]
   - Added handling of unknown RPL_WHOIS* numeric replies by implementing a nice
     "guessing" algorithm suggested by Elephantman
   - Added a file with KVIrc file extension definitions. We should use the defs instead
     of hardcoding extensions like .kvt, .kvs or .kvp.
   - Added a fast generic packaging engine. A KVIrc package is a kind of zip archive
     with an uncompressed metadata header. It can be used to distribute both themes and addons.
   - First works on the theme exporting engine. Saving and packaging are now different operations.
     One first saves his theme to disk, eventually edits it manually (maybe by adding a nice
     splash screen or fixing some icons) and finally packages it by invoking a nice
     wizard based procedure. Still need to write the installation dialog.
   - Moved the whole theme management engine to a new module. It exports the
     management dialogs and some utility commands. There is no reason to load
     all this stuff at startup with the options dialog now.

27 Dec 2006
   [Noldor]
   - Alias editor module:
     added the possibility to save a selection of aliases in separated files (every file will have the alias name);
     fixed search function;
   - Script editor module:
     fixed replace command(in "replace all aliases" too);
     now syntax highlighter recognize command "function" and "internal";
   - Objects module:
     added objects.classes, objects.variables, objects.classAllHandlers;
     fixed crash in listviewitem class;
     fixed little bug in multilinnedit class (function $setWordWrap);


19 Dec 2006
   [Pragma]
   - help.open: open only one help window unless -n is used

17 Dec 2006
   [Pragma]
   - Committed the new german translation file by Mihai "Ionic" Moldovan
   - Switched the source control system to SVN: happy coding :)

15 Dec 2006
   [Pragma]
   - Yet more work on the options dialog
   - Added an option for the "network name in taskbar": it's cool, but we want to choose :)

12 Dec 2006
   [Alexey]
   - Added option to create minimized channels
   - Fixed nick selecting in userlist via ircview
   - Fixed mouse hover link effect
   - Network name now will be shown in the taskabr instead on server name

07 Dec 2006
   [Pragma]
   - Yet more work on the options dialog
   - Fixed a crash related to the dialog.* module calls

28 Nov 2006
   [Pragma]
   - More work on the options dialogs
   - Removed the duplicated kvc_ icon.

19 Nov 2006
   [Alexey]
   - New function - $chan.getUrl
   - NickServ identity can now accept masks in nick field

16 Nov 2006
   [Alexey]
   - Added a simple browser-like address bar to console
   - Clicking on nick in channel ircview now selects it in the userlist
   - Avatar dcc send rejected if avatar size greater, then max filesize, setted in options

15 Nov 2006
   [HelLViS69]
   - Added a checkbox on AwayIndicator applet popup to choose to go away
     on all IRC Contexts

14 Nov 2006
   [Pragma]
   - Moved the userlist feature options page to the theme option dialog
     and splitted all the userlist options in tabs
   - Corrected some typos around
   - Reworked the output options page
   - Updated the directory selection dialog under KDE
   - Avatars bigger than 1024x768 make KVIrc complain when setting them
     and are scaled to a saner size when they are received from others.

13 Nov 2006
   [Pragma]
   - Added $object.instances(): useful when implementing singletons.
   - Fixed a small image dialog issue

9 Nov 2006
   [Pragma]
   - Added support for chunked HTTP transfer encoding as required by HTTP/1.1
   - A fix for object toolbar position not saved properly
   - A fix for the addon management dialog not repainted correctly
   - A fix for loading of files by the means of KviFileUtils::loadFile()...
     /parse is one of them and it expects an utf8 encoded file.
     (read: all *.kvs files must be utf8 encoded, there is no other decent
     portable way to preserve the national characters...)

8 Nov 2006
   [Pragma]
   - A fix for KviStr handling incorrectly multibyte strings (fixes some localization issues)
   - A simple hack-in for a protocol filter.. maybe msn ?

6 Nov 2006
   [Pragma]
   - Various minor fixes around
   - Splitted the core small icons libraries in separate icons.
   - Moved the small icons to a subdirectory to speed up the loading (we are already at more than 280 icons...)

1 Nov 2006
   [Alexey]
   - Added unreal NAMESX and UHNAMES support
   - Fixed $hexToAscii function
   - Make DCC File Open/Save dialogs have native look on windows
   - Fixes in filesystem handling. Fixed bug when KVIrc unable to load translation from non-latin folders
   - Fixed actions' accelerators
   - CTCP Page dialog now stays on top of desktop
   - Fixed in tray minimizing/restoring on win32

Oct 2006
   [Alexey]
   - WIN32 compiling need QTTAG env var with "mtnc321" value for non-commercial QT 3.2.1 or "mt336" for QT 3.3.6
   - New win32 tray icon
   - Added snd.mute, snd.unmute, $snd.isMuted to KVS
   - Moved theme selection out from theme options to avoid partyally applying of themes
   - Added some lost functions to "painter" class
   - Fixed ignore system
   - Fixed input themeing (black on black bug)
   - "play" command is now alias for snd.play
   - IMPORTANT: fixed proper soket closing on win32
   - Fixed crash after first run wizard on *nix
   - Make possible installation on USB removable drives (WIN32). KVIrc can store settings in program folder
   - Make paths in configs system-independent

23 Sep 2006
   [Zerg] (committed by Alexey)
   - Change dock icon size to 22x22 on KDE. Fixed style of icon
   - Better in-tray minimizing
   [Alexey]
   - Setted tray icon background to transparent

18 Sep 2006
   [Noldor]
   - Added alphablend in objects.blend
   - Added doc to class image and function setOpacity()
   ... now we can create some weird, cool effect :=D

08 Sep 2006
   [Alexey]
   - Fixed input line painting bug: cursor goes out of visible range

25 Aug - 07 Sep 2006
   [Alexey]
   - Fixed couple of bugs, include crashbug when applying a new theme
   - Rewrited channel mode handling
   - Rewrited setup wizard
   - Corrected themeing of input
   - Del key deletes selected transfer in filetransfers
   - Changed trayicon bechaviour. Now it's configurable.


25 Aug 2006
   [Pragma]
   - uparser is definitively gone: KVS is the reality.
   - cleanups all around, removing unused code etc.
   - documentation cleanups

13 Aug 2006
   [Pragma]
   - Fixed some docs about KVS
   - $boolean(), $string(), $integer() casts.

27 Jul 2006
   [Alexey]
   - Classic taskbar now looks fine in os-style. It uses new frames and borders
   - Make classic taskbar resizable
   - Make Tree taskbar header hidable. Hide it by default
   - Tree taskbar change cursor to hand while moving over an item

27 Jul 2006
   [Alexey]
   - New -a | --all-networks switch for away and back commands to apply their action to all connected networks
   - Fixed bug with long channellins scrolling; removed horisontal scrollbar

27 Jul 2006
   [Alexey]
   - Timestamp format now can be configured via options
   - Input saves string in history when it was send via Ctrl+Return
   - Fixed case sensivity mode handling in usermode popup

26 Jul 2006
   [Alexey]
   - Added option to include MSGTYPE info in theme packs
   - Added support fot ports, greater than 65536

25 Jul 2006
   [Pragma]
   - Comparison operators now prefer numeric operands instead of strings.
   - Added $str.printf()
   [Alexey]
   - Fixed bug in language seletor
   - New XML load addon dialog
   - Show progress bar while indexing help

24 Jul 2006
   [Alexey]
   - Added XML (single file) theme export/import
   - Added ability to delete installed themes

22 Jul 2006
   [Alexey]
   - Fixed bugs in filetransfers window while operating with localized filenames
   - Renamed "orphan_servers" to "Standalone Servers"

21 Jul 2006
   [Alexey]
   - Added e2k URL highlighting

20 Jul 2006
   [Alexey]
   - Implemented help topics and keywords caching
   - Topic can be viewed via double-click for non-opers in read-only mode
   - Fixed PageUp/PageDown in logviewer
   - Fixed defsctipt. Kickban now uses mask from kvirc prefs
   - Fixed avatar handling while it trnsfered via DCC, filename contains space, but replacing spaces with _ enabled
   - Fixed connection to stupid win32 proxies
   - Added HTTP Proxy error displaying
   - New autojoin channel editor; fixed bugs in channel autojoining

19 Jul 2006
   [Alexey]
   - Fixed DCC non-latin filenames handling
   - Fixed avatars with non-latin names handling

07 Jul 2006
   [Alexey]
   - Fixed proxy connection (HTTP proxy doesn't require Server ip resolving now)


28 Jun 2006
   [Pragma]
   - Fixed some CTCP handling as suggested by CtrlAltCa
   - foreach now doesn't iterate over empty variables unless the -a switch is used.

23 Jun 2006
   [Ahinu]
   - Work on the mediaplayer module: more linux support + cmd/fnc cleaning

10 Jun 2006
   [Alexey]
   - Added icons to some tooltips
   - Added Alt+DIGIT hotkey for window switching. Removed Ctrl+End hotkey(changed to Ctrl+F4)

05 Jun 2006
   [Alexey]
   - Fixed join channels menu
   - Added insert text icon submenu to input editor popup
   - Added feature to autosave logs

23 May 2006
   [Alexey]
   - Channel/topic input lines now have a OS-style border
   [Fiber^]
   - Added hungarian translation

21 May 2006
   [Alexey]
   - Fixed crash while topic contains a text icon
   - Fixed colorizing nick as in the userlist while custom color is set for the normal users

20 May 2006
   [Alexey]
   - Added automatic codepage select for servers, that doesn't insart "CODAPAGES" in RPL_ISUPPORT message
   - Now recent channels are network-dependend. For example #kvirc@Freenode and #kvirc@Azzurra are the different channels
   - Switched to 3.2.3
   - Fixed (finally?) window restoring from tray icon
   - Fixes in mIRC color handling

15 May 2006
   [Alexey]
   - Fixed issues when IP specified instead of server name in server properties

13 May 2006
   [Alexey]
   - Added search and document index to the help system

10 May 2006
   [Alexey]
   - Added texticon module to manage text icon collection
   - Added detection if the KVIrc running to the win32 insatll script (patch contributed by Zerg)

02 May 2006
   - Improved win32 insatll script (patch contributed by Zerg)

22 Apr 2006
   [Alexey]
   - Now user can define position and/or tiling methood of backgrounds

22 Apr 2006
   [Alexey]
   - Added visual effects to the tree taskbar

19 Apr 2006
   [Alexey]
   - [WIN32] Added installer script for NSIS installer (nsis.sf.net). It can properly uninstall local data dir, automatically install Winamp plugin
   - Added ability to bind sounds on some events via options dialog

18 Apr 2006
   [Alexey]
   - !KVIrc now can run from localized folder (generally WIN32 fix)!
   - Added options to strip colors from logs
   - Filelist retirned to the left in logviewer
   - Restyled win32 tray icon (now it looks similar to the *nix tray icon)
   - Added tray icon flashing
   - Added $lang function to detect user language
   - Updated default toolbars

15 Apr 2006
   [Alexey]
   - updated graphical emotions
   - added ability to hide channel's tool buttons
   - options dialog is now closable by escape button
   - added ability to hide input tool buttons
   - colors and msgtypes now can be saved into the logfiles

07 Apr 2006
   [Alexey]
   - added support for caculating md5, md4, md2, sha1, mdc2, ripemd160, dss1 digests via new $str.digest function

01 Apr 2006
   [Alexey]
   - changed KVS_PT_STRINGLIST type to QStringList
   - added option to set default ban mask
   - added options to set maximum width of classic taskbar button

17 Mar 2006
   [Alexey]
   - More intelligent word highlighting

14 Mar 2006
   [Alexey]
   - Added HTTP Auth compatibility
   - Redesigned log viewer
   - Added ability to remove logs in log viewer
   - Added nicer styling of Tool buttons
   - Fixed bugs in logfiles naming

07 Mar 2006
   [Alexey]
   - Added ability to choose smyles from external file
   - Fixed sorting bans (invites,exempts) by date

05 Mar 2006
   [Alexey]
   - Added option to sort received files by nicks

26 Feb 2006
   [Pragma]
   - KVS now uses 64 bit integers, if possible
   - More work on zero port DCC handshakes (still a bit work in progress)
   - Finally managed the KviListView to display a transparent background
     picture (hopefully) without flickering. Does it work on windows ?
   - Added $hptimestamp() for high(er) precision time intervals computation
   - Recently also more work on the options dialog
     - the theme options now have its own toplevel dialog
       (some of the options still need to be moved around)
     - added a (still primitive) search function

26 Feb 2006
   [Alexey]
   - added "away" section to the dockwidget menu
   - tray icon now transparent under *nix
   - added autohide indicator to notifier

24 Feb 2006
   [Alexey]
   - added option for closing in tray (patch by Zerg)
   - added option for startup minimized
   - added deeper nick change customization in away
   - added "Quit" item to the main menu
   - new tray icon under *nix, more selective tray tooltip

22 Feb 2006
   [Alexey]
   - improved nick colorization in KViIrcView: now registered nicks are colorised as in the userlist
   - now it is possible to assign a comment to the registered user. Comment will be shown it tooltip and WATCH join/quit messages
   - added option for colorizing own nick in different color

21 Feb 2006
   [Alexey]
   - added option to disable avatar scaling if it less that required size

20 Feb 2006
   - registered users can be organazid into groups
   - some fixes in maskeditor

13 Feb 2006
   [Ahinu]
   - regchan.list -> regchan.showlist, added $regchan.list
   - Added $str.stripcolors

05 Feb 2006
   [Pragma]
   - Started the big cleanup of the options dialog. Identity options for now.
   - Moved the translations of the options module to a specific po file.
     This makes the job units smaller (for translators) and doesn't force
     kvirc to load all these strings at startup.
     The original translations are preserved and the translators should
     remove the unused overlapping (and commented out) portions of the kvirc_*.po
     and options_*.po at the next opportunity.

03 Feb 2006
   - Improved maskedior. Now it can edit masks;)
   - Fixed issues with [] symbols in Wildcard expressions

02 Feb 2006
   [Pragma]
   - Added zero port request handling also for DCC CHAT.
     We support it also in outgoing requests now.
   - Fixed the problems with execution of perl script that contain warnings.

27 Jan 2006
   [Pragma]
   - Again missed updated
   - Initial support for shared double buffering (will reduce memory usage)
   - Finished the cool listview initiated by Alexey (still needs testing on windows tough)
   - Some other things I have forgot :D

17 Jan 2006
   [Pragma]
   - We now suppor the mIrc zero port DCC protocol both in incoming and *outgoing* transfers
     The outgoing protocol is activated by /dcc.rsend -z
   - A couple of fixes for the KVS engine
   - Some fixes for the perlcore module (almost finished: it just needs a better warning handler...)
   [Grifisx & Noldor]
   - Some projects updated
   - Fixed varius bug in object module (we hope less crashes ;) )
   - Deleted some old, unused objects classes function
   - Added function $height() and $width() in class pixmap
   - Fixed and optimized objects.blend command: now it is very cool and you can create some eyes candy effect
     very easily =)(more new graphic commands will come in the near future)
   - The porting of the module object is near to finish: only class socket is missing.

14 Jan 2006
   [Grifisx & Noldor]
   - Added the new class object named "image": at this moment it is in alpha state and without docs;
   - Added command objects.blend.
   [Pragma]
   - Added the math.* module
   - Fixed comparison of variables in KVS

13 Jan 2006
   [Grifisx & Noldor]
   - Fixed bugs in object classes
   [Alexey]
   - Window now saves logging state and userlist state
   - CTCP VERSION reply now shows os version and QT version
   - Added support for RPL_ENDOFSTATS (219) message
   [Pragma]
   - Missed to update this file for a while :D
   - The object classes are now persistent: they are stored on disk so one does not need to always redeclare them in aliases
   - Added the "user friendly commandline" button to the input widget and the global option to keep it automatically on/off
   - Other small fixes that I can't remember

11 Jan 2006
   [Alexey]
   - Added an option to disable notifier window flashing
   - Fixed doubleclick interval in ircview
   - Added support for guessing max modes per line from RPL_ISUPPORT
   - Now you must use // prefix in nput line to use full KVS syntax. The / prefix don't parse arguments at all

10 Jan 2006
   [KVirc Development Team]
   - Events now works in objects module
   - Lots of other improvements in objects module
   - Options to minimize in tray
   - New styled checkboxes are fully functional now under all OS
   - Fixed mIRC color handling
   - Fixed file handling in snd module on localized filesystems

4  Jan 2006
   [Pragma]
   - Started porting events on new KVS
   [Alexey]
   - Added colors to the topic history widget
   - Added ability to count total connection time for all connections for the connection timer applet

25 Dec 2005 - 3 Jan 2006
   - Removed old KVS
   - Added history to the topic editor
   - Redisigned splash screen

24 Dec 2005
   [Pragma]
   - More modules ported to KVS: only dcc and dialog are partially missing
     at this point. Prepare for the big cleanup :)
   - Added JIS7 and euc-JP to the list of supported codecs (thnx hagabaka!)
   - Some small fixes to the options dialog that was going nuts recently...

20 Dec 2005
   [Pragma]
   - Almost finished the work on alias namespaces: they should be usable now
   - Ported the perl modules to the new KVS
   - Ported the sharedfile module to the new KVS too, really few modules
     are missing now
   - Fixed a couple of buggies in KviCommandFormatter that prevented
     aliases from being correctly removed
   - Some work in the new KVS engine: the big cleanup is coming...be afraid!

18 Dec 2005
   [Pragma]
   - Alias namespaces and other curious thingies all around

10 Dec 2005
   [Alexey]
   - [Kernel]  New theme package format. Now theme s\is a king of addon
   - [KVS]     Fixed crash while calling $tr("") in new KVS
   - [Kernel]  Other bugfixes

   [Pragma]
   - [Kernel]  Fixed crashbugs in KVS kernel

09 Dec 2005
   [Alexey]
   - [Kernel]  Fixed bugs in handling modes. Now it is case sensivity
   - [UI]      Fixed bug with deleting selected text from input line or topic editor
   - [UI]      Pressing a key in userlist now selects the first nick with first letter, equal to the pressed key
   - [UI]      Now options splitted into 3 categories: for novice,normal and experienced users. Newbies should see really simple configuration dialog

07 Dec 2005
   [Alexey]
   - [Kernel]  KVirc *hopefelly* supports now localized file names and file paths! (but it really partially support it now:)))
   - [UI]      Added missed option to the irc option widget. Now user can specify number of maximum send channel modes per line

06 Dec 2005
   [Alexey]
   - [UI]      Added themes previews to the setup wizard

05 Dec 2005
   [Alexey]
   - [Kernel]  Added soma additional checks to KviRegisteredUser class.
   - [Kernel]  Mode work on filesystem interfave
   - [Kernel]  Much better filenames encoding function from internationalization point of view. Logfile names becomes not so ugly:)

01 Dec 2005
   [Alexey]
   - [UI]      Fixed bug with nick completion

26 Nov 2005
   [Alexey]
   - [UI]      Now it is a programm option to disable splash and no more --disable-splash configure option
27 Nov 2005
   [Alexey]
   - [Kernel]  Fixed crashes in action and toolbar  modules under windows
   - [Kernel]  Added trick to resolve unmasked local hostname from 001 server message, even when you using +x mode

26 Nov 2005
   [Alexey]
   - [UI]      Fixed bug with non-latin search in ircview. Now it works:)
   - [UI]      Improved \r handling in ircview. Now it can contain colors in the label title.
   - [UI]      Improved smart nick and channel highlighting.
   - [UI]      Escape hotkey (minimize window) replaced with Ctrl+Esc hotkey.
   - [UI]      Better code highlighting and code completion in scripteditor.

25 Nov 2005
   [Alexey]
   - [UI]      Added smart nick and channel highlighting. Now most of channel names and nicknames are recognized and you can click on it by mouse:)

24 Nov 2005
   [Alexey]
   - [KVS]     config module ported
   - [KVS]     mediaplayer module ported
   - [KVS]     fixed _tonns_ of crashes in objects module with new KVS

23 Nov 2005
   [Alexey]
   - [Kernel]  Added ability to choose proxy server in irc server's preferences. You can choose different proxyes for different servers

22 Nov 2005
   [Alexey]
   - [KVS]     Removed ugly $insertInInput function, added commands window.setInputText,window.insertInInputText  and function $windos.inputText
   - [KVS]     Make new KVS allows to use '_' symbol in functions' names,commands' names and variables' names
   - [Kernel]  Added support for RPL_ADMINME, RPL_ADMINLOC1, RPL_ADMINLOC2, RPL_ADMINEMAIL, RPL_COMMANDSYNTAX, RPL_INVITING, RPL_INFO, RPL_INFOSTART, RPL_ENDOFINFO, RPL_TIME, ERR_NOSUCHSERVER, ERR_NOSUCHCHANNEL, ERR_CANNOTSENDTOCHAN, ERR_NOCOLORSONCHAN server messages
   - [Kernel]  Added support for gzipping logs and viewing gzipped logs
   [Pragma]
   - First step for the implementation of namespaces in aliases (new KVS only)

21 Nov 2005
   [Alexey]
   - [UI]      Ctrl+Enter now sends text to the channel(query,dcc chat,etc..) even if it has "/" at beginning.
   - [Kernel]  Tuned output and string formatting functions. Really solves TONNS of internationalization problems:))
   - [Kernel]  Code tuning: chack all sources to proper encodig data, sended to server. Make corrections.
   - [Modules] Some other internationalization fixes in DCC module
   - [UI]      Added option to colorize nicks in channel messages the same, as they colorized in the userlist view
   [Pragma]
   - ported dialog.textinput
   - more fixes around

20 Nov 2005
   [Pragma]
   - Started porting the dialog module
   - Added the callback object KVS base class
   - a small fix for KviInput (gcc warning)

08 Nov 2005
   [Alexey]
   - [KVS]     Error and warning texts are now readable in localized versions
   - [UI]      Added option to enable or disable showing query information label
   - [UI]      Added some items into the main menu
   - [UI]      Added default menu on right click at url link
   - [KVS]     Added $str.fromClipboard function and str.toClipboard command
   - [UI]      Channel mode label now allows to edit chanmodes
   - [UI]      Added new information label into Query window
   - [KVS]     Fixed bug 0000270 with  OnChannelModeChange event
   - [Kernel]  Fixed click vs double click bug
   - [Kernel]  Added parsing of 703(WeNet) and 020 messages
   - [UI]      New topic editor
   - [Misc]    Fixed some other bugs
   - [UI]      Fixed permission on topiceditor and mode editors(for ircOps and halfops)
   - [Kernel]  Fixed bug when message, that have raw event handlers decode 2 times
   - [Modules] Fixed internationalization issues in avatar module
   - [KVS]     Window,reguser,url,term,toolbareditor,regchan modules are ported..
   - [KVS]     Log module ported, porting logging system from KviStr to QString
   - [kernel]  Some fixes for COMPILE_ONLY_NEW_KVS

   [Pragma]
   - More work on the KVS engine
   - avatar module ported...
   - Merged various small fixes done in the last days

05 Nov 2005
   [Alexey]
   - added 7 new events to hangle single clicks
   - added 2 new functions to get/set/insert text in window's inut lineedit
   - added 2 new options for the proper handling of winamp encoding and ID3 tags' encodings
   - started dcc module porting from KviStr to QString
   - resolved lot of internatiolization problems in DCC module
   - improved defscript

26 Oct 2005
   [Alexey]
   - Added Ctrl+A shortcut for select all
   - Total latin1() elemination
   - Fixed bugs from bugtrack
   - Improved usermode menu
   - Resolved issues with encodings in DCC chat and transfer
   - Editbox now has focus by default in search window
   - Changed /ame and /amsg behaviour
   - Make connect/disconnect button to reconnect to last used in this context server,not to last used globally
   - Added  WeNet network
   - Fixed CTCP handling
   - Fixed +e and +I chanmodes handling
   - Fixed issues with non-latin symbols in scripts
   - Fixed encodings in logfiles
   - Fixed encodings in socket agent window
   - Fixed logfile names
   [Pragma]
   - A quick fix for the connect button handling
   - A fix for a crash in the listview KVS class (new parser)
   - More KVS all around

19 Jun 2005
   [Grifisx/Noldor]
   - code improvements in the editor(...stil a work in progress):
     added code completition (shift+insert keys), added a dynamic help: move over a command/function.
     then right button and "help command/function" (... its in beta status, need some workaround :D) :
     an help window will appear.
   - added some options to hide graphic elements in the gui to build a very "minimalist" KVIrc.

15 Jun 2005
   [Grifisx/Noldor]
   - code improvements in the editor(...a work in progress):
     added find/replace in alias editor, fixed some bugs and added some user friendly feature.
     To do: code completition;
   - win code improvements in the system module;
   - added setBackground command in window module;

24 May 2005
   [Pragma]
   - Added queueing for slow paste
   - Added http.asyncGet

14 Apr 2005
   [Grifisx/Noldor]
   - Add wrapper and wizard classes,
     added parameters support to all classes,
     some fix and changes in many objects classes.
     Moved commands "connect","disconnect","clearobjects","killclass" in the module objects.
05 Apr 2005
   [Grifisx/Noldor]
   - Added mediaplayer.setVol and mediaplayer.jumpTo commands for winamp,
     painter and pixmap class optimization,
     added 'Paste file' and 'Stop slow paste' on chan and query.
24 Mar 2005
   [Pragma]
   - Added the CIA open source project tracing script to the cvs (only for
     the kvirccvs module). Please write informative CVS comments from
     now on :)

23 Mar 2005
   [Grifisx/Noldor]
   - added boolInputHistory option to disable Input History window and it's log memory

20 Mar 2005
   [Grifisx/Noldor]
   - added painter, textbrowser and pixmap classes and some extensions to widget class
   - add minimize and close button to the iconstable's window

13 Mar 2005
   [Grifisx/Noldor]
   - added functions and signals to manage some event in the lineedit class:
     $lostFocusEvent, $returnPressedEvent, $textChangedEvent
   - added function $str.section(<string>,<spl>,<n1>,<n2>) in 'str module'

12 Mar 2005
  [Crissi]
  - mp3player module updated: kde mediaplayers

09 Mar 2005
   [Grifisx/Noldor]
   - some new classes in the object module:
     mainwindow, toolbar, toolbutton

08 Mar 2005
   [Grifisx/Noldor]
   - Fixed CTRL+K, CTRL+B, CTRL+U, CTRL+I...escapes in the topic widget

27 Feb 2005
   [Pragma]
   - Fixed the CTRL+D terminal window crash
   - Fixed the Rijndael encryption module

22 Feb 2004: 3.2.0 "Realia" released.

20 Feb 2005
   [Pragma/Iakko/Noldor/Grifisx]
   - Several fixes on the notifier
   - A lot of enchancements in the objects module (some new classes
     and some extensions to the existing ones)
   - Improved auto-resume DCC handling: now files are not
     auto-resumed when the incoming size is unknown or smaller
     than the existing file. The auto-resume is disabled also
     if there is a running transfer with the same loca file name.
   - Fixed several bugtrack issues.
   - Cleaned up the -ansi -pedantic compilation. It looks that
     only one real warning remains and it is related to the "deprecated"
     flags of KApplication constructor which will be removed
     in KDE 4.0. We must live with it for a while.
     All the other warnings are due to the system headers.
   - Caught a couple of potential segmentation faults in the reguser
     module.
   - Committed the catalan translation by Marc Serra

09 Feb 2005
   [Tom]
   - Fixed several positioning issues for widgets with saved geometry
     on MacOS X

09 Feb 2005:
   [Noldor/Grifisx]
   - Added the KVS process class
   - Several fixes for other object classes
   - Added Drag&Drop support to the queries: now a drop operation
     triggers the OnQueryFileDropped event
   - Added support for CTRL+K, CTRL+B, CTRL+U, CTRL+I ... escapes
     in the topic widget.

08 Feb 2005:
   [Noldor/Grifisx]
   - Added the KVS radiobutton class

08 Feb 2005:
   [Pragma]
   - Fixed the bug of KviIrcView that caused the background to be repainted
     incorrectly when the mouse was hovering over the links
   - Private background now has priority even over the global transparency
   - Added a menu option to reset the private background pixmap when no longer needed
   - Removed the "FrameCaption" option since it was only freaking the people
     out when it wasn't updated on version change...

07 Feb 2005:
   [Pragma]
   - Finally managed to handle correctly the IME events: text input for chinese/japanese
     korean etc... should work now.
   - Fixed the logging of emoticons: they are written to the log files now
   - More tricks on KviHeapObject
   - Added the fixes for the _horrible_ VC++ compiler bug that implicitly
     creates helper functions (vftable entries) residing in code sections where
     operator new is called on a class with a virtual destructor. This is
     simply destructive when it happens in a module that can be unloaded
     before the object allocated with new is destroyed: at delete time
     the code flow obviously jumps into no man's land.
   - Committed the ldcnumber class by Noldor and Griffisx

04 Feb 2005:
   [Pragma]
   - Added the fixes for windows segfaults reported and bughunted by Noldor and Grifisx.
     Maybe these KviHeapObject trick will help to solve the issue.
   - Added a warning message about sending more than 20 lines of text
     at once in a query or channel. The warning can be obviously disabled
     forever by answering "Always".
   - Added the XIM "hot spot" handling for the input window.


01 Feb 2005:
   [Pragma]
   - Bandwidth limits for DCC finished. They are configurable "on the fly" now.
   - Fixed the Ctrl+Arrows and Ctrl+Shift+Arrows behaviour: now they skip/select
     entire words in the input widget. Window switching has been moved to
     Alt+Arrows and Alt+Shift+Arrows.

31 Jan 2005:
   [Noldor/Grifisx]
   - Yet more object classes: time for spinbox and slider.

30 Jan 2005:
   [Pragma]
   - DCC Bandwidth limit implemented, "on the fly setting" is still missing tough

29 Jan 2005:
   [Iakko]
   - Added Notifier 2.0 in a more stable and usable version, now tabs and
     "blinking onFocusOut/showing" are working. The Notifier is still on Beta version.
   - Some kvi_sp_literal.cpp and kvi_sp_ctcp.cpp (under kvirccvs/kvirc/src/kvirc/sparser) changes
     needed for notifier to work. A core recompilation is suggested even if
     not strongly necessary.. it's a matter of string output on the notifier, nothing critical.
   - Graphic features are waiting to be added asap.

29 Jan 2005:
   [Noldor/Grifisx]
   - Added a new widget class "progressbar" with the following functions:
        $setProgress, $setTotalSteps, $reset, $setCenterIndicator,
        $setPercentageVisible, $isCenterIndicator, $isPercentageVisible

28 Jan 2005:
   [Pragma]
   - Added the possibility of exporting toolbars from the toolbar
     customization dialog. The export function can also export
     the associated actions.
   - Moved the toolbar customization dialog to a separate module
   - Added the mircryption/blowfish crypt engine. It actually supports
     both the standard ECB mode and the (really) new CBC mode.
   - Fixed some remaining bugs in the action editor: now it should
     be ready for the public :)
   - Added a couple of object functions to the layout object class
     to support the nice minesweeper script :D
   - A full set of action.* and toolbar.* commands is now available
   - Added compatibility loading functions for old toolbars
   - Added handling of the ERROR server message.
   - Added the support for actions that can be enabled only in
     specified windows and only if there is a nonempty selection inside.
     This allows to create user toolbars that perform quick actions
     on the selected channel users. This is a *really* quick kick
     for example.
   - Fixed a couple of bugs related to the mask handling
   - Fixed a possible bug related to acknowledges in the DCC send code
   - Other small fixes all around as usual.


27 Jan 2005:
   [Noldor/Grifisx]
   - added $setFont to the class widget,$setDragEnabled and $setInputMask
     to the lineedit class;

20 Jan 2005:
   [Noldor/Grifisx]
   - added some new functions to the class widget: $setToolTip,
     $setForegroundColor,...
   - some code improvements in the win version of the filetransferwindow:
     added context menu like open,open with,delete file,open destination folder

8 Jan 2005:
   [Pragma]
   - Added handling for ERROR and the relevant OnError event.

7 Jan 2005:
   [Pragma]
   - Again more than 20 days of changes to report.
   - The action based toolbars are almost working and have replaced
     completely the old scriptable toolbars.
   - The toolbar customisation dialog is ready
   - Actioneditor is almost ready too, needs just minor adjustments
   - Added $chan.userJoinTime() and $chan.userLastActionTime()
   - Added several new $mask() types: now it is possible to get different
     host masks (only *.domain.ext or *.anything.anythingelse.domain.ext).
     Another mask set tries to handle correctly the hidden hostnames (+x)
     on some servers (this does not work 100% tough...)
   - Added the initial stuff for the language recognition module. Still
     don't know if it will end up in the official release: needs interfacing with
     the core... but the standalone engine is starting to work.
   - Added several "smart" encodings that will try to decode as UTF8 first
     and then apply the local encoding rules.
   - Added a couple of new emoticon images (Thnx Penny!, Thnx Sidhe! :)
   - Created the "scripts" cvs module and added a first script example
     (a simple ezbounce irc proxy interface)
   - Fixed runtime localization of the action and toolbar names: they
     should work fine now.
   - Fixed some bugs in the objects module (still needs a lot of work)
     signaled by Noldor.
   - Bumped up libtool and ltmain.sh to 1.5.10 (hoping that it will stop
     relinking the modules when installing... this is extremely annoying)
   - Suggest installing the default script if no toolbars or popups are available
   - Fixed http avatars not being correctly loaded after the transfer has finised.
   - Iakko is working hard on the new (cool!) notifier interface :)
   - Various other fixes all around

15 Dec 2004:
   [Pragma]
   - Hacked the avatar cache to support masked ip addresses
     (added some new parameter options to the $mask function by the way)
   - Added the possibility of setting a temporary background for any IRC view.
     This is still an experiment.

12 Dec 2004:
   [Pragma]
   - Added minimal support for /DCC ALLOW
   - Fixed config files loading that truncated lines longer than 32K

8 Dec 2004:
   [Pragma]
   Yet another huge set of commits.
   The major changes are:
   - New "action" based toolbar and popup menu system.
     Now the user can just drag & drop actions to customize toolbars :)
   - The "big cleanup" has started:
     - "Scripttoolbar" is gone: the functionality is completely superseeded by
       the action based toolbars now. I already know that some people will want to kill
       me for this but from now on the actions are the only method to create toolbars.
       This is a good idea since the old method was a bit ugly (for example because
       it needed overriding events to enable/disable the actions).
       Moreover, another piece of the old non-unicode parser has been wiped out: this is Good(TM).
     - Module extension toolbars are gone: replaced by the action stuff now (see above).
   - Several structural changes to the default script that reflect the changes in the core.
     It IS a good idea to reparse it (execute default script) once now.

4 Nov 2004:
   [Pragma]
   - Fixed various minor bugs introduced with the last huge commit.
   - Merged the Mirco Macrelli's patch that adds the chanowner flag
     support.

1 Nov 2004:
   [Pragma]
   I've missed to update this file for a while: my fault :/
   The major changes until now are:
   - New statusbar showing the server information.
     This is intended to replace the irc context applet which
     often has problems with space.
   - 5 moveable statusbar applets
   - Per network settings: nick,user,OnLogin,OnConnect,NickServ
     authentication etc. as per-network settings.
   - Both the servers and the networks can have a preferred
     encoding now.
   - More UNICODE support all around: the encodings are honored
     almost anywhere with the exception of the scripting engine.
     The scripting engine uses a hack that makes the encodings
     survive through trivial scripts too. This will become yet
     better when the new KVS core will be ready.
   - Support for unicode nicks and channel names.
     In fact almost anything that the server sends out may be unicode
     data encoded with some 16->8bit scheme.
   - A new rewritten lag meter that will avoid to ping the server
     if possible (when other lag-check probes are spontaneously
     being sent). The improved algorithm computes the lag better
     and does not "hang up" when the server doesn't reply at all.
   - The default quit and part messages can contain scripting identifiers
     that are evaluated at quit or part time.
   - The windows problem with keyboard input has been resolved
   - Several enchancements to the actual scripting engine including
     but not limited to echoprivmsg, query, notice, notifier.* ,
     perl.*, server, ...
   - Added OnDisconnectRequest event
   - Added support for /CODEPAGE
   - Avoided unnecessary repaints when in SDI mode: this made
     KVIrc a bit faster when switching windows and lowered
     the overall cpu usage.
   - The "unread" text in a window is now clearly marked by a horizontal
     line in the text view. If the text line is out of the view
     then a triangle in the upper corner of the view signals it.
   - KviWStr stuff definitively removed :)))
   - Several other minor bugtrack issues fixed.


6 Aug 2004:
   [Juanjo]
   - Make some pointer = 0 after delete assignations when:
     Pointer is a member pointer or a global pointer.
     The delete is not in a destructor.
     It makes sense.

1 Aug 2004:
   [Juanjo]
   - Added an autopackage dir with two (very initial) apsepc files to build a
     .autopackage autoinstaller.
     If you have not
	 checked autopackage (http://autopackage.org) DO IT NOW :) is the real
	 solution for Linux third party software installation across distributions
	 (somewhat like autoconf at the binary installation level, but without
	 damn M4 :)

20 Jul 2004:
   [Pragma]
   - Now you can use perl from KVS and KVS from perl :)
     See /help perl.begin

13 Jul 2004:
   [Pragma]
   - Perl support has been widely requested. Added the initial modules
     for that purpose. Needs more work tough.
   - More work on the notifier: now it's fully working.
     Added also the options to disable it in several ways (even completely).
   - Fixed various bugs all around

11 Jul 2004:
   [Pragma]
   - Added /AHOST command
   - More work on the notifier, now it flashes, pops up only when really
     needed and can be temporairly disabled.
   - Hardwired the event manager of the new KVS engine and officially
     killed the old uparser based event manager. We're getting closer and
     closer...

08 Jul 2004:
   [Pragma]
   - Added the notifier module: really nice!
     Thnx to Penny for the images :)

06 Jul 2004:
   [Pragma]
   - Added a Always/Yes/No message box that asks the user for confirmation
     when attempting to close a connected console.
   - Added the Always/Yes/No option to the "Quit-Kvirc-On-Close-Last-Console"
     operation.
   - Fixed the input history handling bug as reported by Soliton
   - Added several fixes for UNICODE misbehaviours reported by Dusan
   - Fixed the configuration files parsing: now the entries
     and the keys have whitespace encoded separately and the UTF8
     encoding/decoding is done in the proper places.
   - Added the code to make the translation of the tips possible.
     The translations MUST be UTF8 encoded and use the
     libkvitip_<lang>.kvc name.
   - Finally fixed the copy&paste behaviour:
     In the input the selection and the middle click
     use QClipboard::Selection if supported by the operating system.
     All the other methods use QClipboard::Clipboard.
     The IRCView now copies to both QClipboard::Clipboard and
     QClipboard::Selection (if supported)
   - Again huge structural reorganizing in the networking stack
     now I start to like it :)
   - Committed several translation updates by Dusan
   - The reconnect timer can now be stopped before it triggers
     and on disconnect it uses the correct server entry.
     (see Trisk's ChangeLog entry for 12 Mar 2004).

26 Jun 2004:
   [Pragma]
   - Fixed a mismatched new[]/delete pair in kvi_locale.cpp
   - More KviConsole->KviIrcConnection moving
   - Fixed a couple of potential segvs related to the connection management
   - More UNICODE fixes all around

24 Jun 2004:
   [Pragma]
   - Yet more bug fixing
   - Added the cs translations of the modules and fixed some unicode issues reported by Dusan

21 Jun 2004:
   [Pragma]
   - Fixed a bug introduced by the previous fix about date encodings :D
   - Fixed log files not being properly encoded to UTF-8 (question: should
       the logs be UTF-8, use the local encoding or use the source window charset ?)
   - Committed more work on kvirc_cs.po by Dusan Hokuv

20 Jun 2004:
   [Pragma]
   - More reorganizing of the networking stack
   - Fixed some bugs with encoding of the dates in non-English locales

16 Jun 2004:
   [Pragma]
   - Fixed a crash in the /foreach command as reported by Ahinu (thnx ;)
   - Added the OnNetsplit event
   - More reorganizing of the networking stack

12 Jun 2004:
   [Pragma]
   - A lot of UNICODE updates
   - More reorganizing of the networking stack
   - Added a lot of new text encodings including the missing ISO-8859-XX variants
     and some CPXXX.

4 Jun 2004:
   [Pragma]
   - Added first bulgarian translation by bugar@developer.bg
   - Completly reorganized the <KviConsole,KviIrcContext,KviIrcLink,KviIrcConnection,KviIrcSocket>
        class set. Now it should become more usable/readable/manteinable/coherent ...
        Really work in progress: expect misbehaviour and compile time warnings about
                                 deprecated functions...

2 Jun 2004:
   [Pragma]
   - Added profiling support (--enable-profiling)

31 May 2004: 3.0.1 "System Virtue" released.

11-30 May 2004:
   [Pragma]
   - More console splitting , still not finished
   - Created the initial hackers guide document (this will be always work in progress)
   - Fixed some online doc bugs
   - Fixed a bug with popup menu prologues not being saved correctly
   - Fixed a SEGV related to focus management
   - Fixed a couple of translation related SEGVS
   - Preserved UNICODE in the logs by encoding to UTF-8
        (maybe this should be the local 8 bit ? feedback will be needed later)
   - Fixed several typos and dead links in the documentation signaled
        by Klaus Weidenbach
   - Added a couple of window.* module commands/functions
   - Unicode fixes related to IrcView tooltips
   - Added $msgtype function and fixed the related echo documentation
   - Added the export function in the event editor
   - Fixed a bug in the popup export function that caused extpopup entries
        without icons to be exported as simple popups (thnx again Klaus).
   - Added an option to redirect WHOIS replies to the active window (on by default)
   - Added the /echoprivmsg command
   - Added the "delete file" function to the file transfers window
   - Various fixes all around

10 May 2004:
   [Pragma]
   - Fixed the problem with tooltips displaying the wrong avatar image
   - Started splitting KviConsole in smaller logical classes (irc context, irc connection)

06 May 2004:
   [Trisk]
   - Changed parsing for 004 numeric, properly works with hybrid now.

17 Apr 2004: 3.0.0 "Awakening" released.

16 Apr 2004:
   [Pragma]
   - Fixed a bug with creation of KviWindow derived classes: the constructor
     of the base class was calling virtual functions from subclasses (it is curious
     that this was effectively failing only on Windows and not on Linux).
   - Reworked a bit the str module to avoid compiler parameter passing problems
   - Fixed a bug with $str.replacenocase
   - Fixed a bug that prevented the color option selector buttons from
     displaying the proper color
   - Miscellaneous fixes for the release

15 Apr 2004:
   [Trisk]
   - Miscellaneous minor stuff (set avatars to 0 width/height to disable).
   - More reasonable defaults (seriously, the coloured nicks hurt people's
     eyes =\ ). The fact that unrecognised commands result in parse errors
     confuses new users (and annoys the heck out of me, too). Turned off
     message icons too. Rationale is that it will disgust former
     epic/BX/irssi/xchat users.
   - And, I don't think most new users will use avatars regularly, so turning
     the nicklist grid off by default, since it makes the nicklist more
     cluttered.
   * Forgot to add nick completion suffix. Oh well, the 3.0 series is just
     beginning...
   - Almost forgot to clean up really bad spelling in tip of the day. ><

13 Apr 2004:
   [Pragma]
   - Added the default low-resolution (Minimalist) and high-resolution
     (fancy) themes
   - Added the selection of the default theme at first setup
   - Added one time nickname generation at first startup
   - Modified the Identity dialog to handle better the multiple
     nickname alternatives. The combobox was not that intuitive
     thus added a separate dialog for the alternatives.
   - Removed the "Change now" button from the Identity dialog: it never
     worked correctly.
   - Fixed the "concurrency" crash reported on the mailing list
   - Fixed a SEGV related to shared files
   - Fixed an infinite loop in the toolbar editor
   - Fixed a bug with the Color Selector not displaying the right color on windows
   - Adjusted acinclude.m4.in to handle the new icons added by Trisk: still not
     installed in the proper locations
   - Added a couple of GUI option pages that were really missing (mdi captions
     and toolbar applets)
   - A couple of new icons added
   - Fixed a couple of strange behaviours of the input widget
   - Some source code rearrangements all around
   - More things that I can't remember :D

11 Apr 2004:
   [Trisk]
   - New application icon by Arty2 / Hercules Papatheodorou
     <papirakl@REMOVEotenet.gr>, updated icon set.
   * Too lazy to get icons installing in proper locations.

08 Apr 2004:
   [Pragma]
   - Added the highly requested /exec command in the core
   - Also added an example script that runs an interactive telnet
     session and sends mail with the use of /exec: powerful :)
   - Fixed a script editor highlighting bug
   - Fixed another problem with overlapping dns queries...
     ... it should have been written this way from the beginning :D
   - Miscellaneous changes & fixes all around...

06 Apr 2004:
   [Trisk]
   - Fixed null KviWStr problem.
   - Fixed /$sw(e) crash.

04 Apr 2004:
   [Trisk]
   - Hacked KviWStr to use QTextCodec instead of charset translation tables. =P
   *** Chinese, Japanese, Korean seem to work!
   - Fixed encoding names.
   - Added ISO 8859-9 (Latin-5 Turkish, requested), Big5, GB18030, SJIS,
     EUC-KR, TIS-620.
   - Added options to not show tooltips in taskbar and userlist.
   - Added option to disable taskbar sorting.

02 Apr 2004:
   [Trisk]
   - DCC message changes.
   - Use proper capitalisation in events, Irc->IRC.
   - Hack to allow showing +e (and +I) when used for channel modes (not user
     modes).
   * Should implement better 005 parsing.

31 Mar 2004:
   [Pragma]
   - Added the quit confirmation dialog when there are active connections in the
     window being closed
   - Added some descriptive messages to the setup dialog
   - Fixed a crash related to received CTCP's
   - Fixed the theme loading that was not updating all the icons
   - Fixed some functionality of the theme selection dialog
   - Added some message color presets
   - Fixed a crash with overlapping dns queries
   - Added updating of the KDE root pixmap when autochange is active
   - Added the "execute script" menu entry
   - ...
   [Trisk]
   - Some message changes.
   - Added redirect to active window options for services notices, server
     notices, broadcast/wallops, and renamed ToConsole options.
   - Minor server parser changes.

28 Mar 2004:
   [Pragma]
   - Added the default theme (useful to restore the default settings) to the distro
   - Some bug-fixes and cleanups in the theme engine
   - Added the themes section on www.kvirc.net and placed the first Marble theme by Sbrokka on ftp.kvirc.net
   - Adjusted the menubar to dynamically setup the popup menus (it reloads the icons etc..)
   - Fixed a crash in ctcp action
   - Added the option to flash the KVirc's taskbar entry when new messages arrive in a query and KVIrc is
     not the active application. Works only with KDE support and on Windows for now.
   - Added the special "all" parameter to $active to return the application active window
   - Forced eval to use the calling variable scope: in this way local variables can be passed too
   - Fixed a bug in the servers dialog "recent servers" popup: now it finds the correct entry also
     when two servers with the same name but different port are present
   - Added the exporting of aliases to external files (single aliases and the whole alias set).
   - Fixed the popup tester in the popupeditor: now it works again (it was totally disappeared :)
   - Misc hacks that I can't remember...

25 Mar 2004:
   [Pragma]
   - Code cleanups all around
   - Updated various docs for the upcoming release
   - Removed the obsoleted _c2q stuff and --with-local-8bit option
   - Changed the close/maximize/restore/minimize icons to black ones: they look better
   - Added a heap mess windows workaround class
   - Re-implemented the shared files editing (still missing some code)

24 Mar 2004:
   [Trisk]
   - Various input editor fixes.
   - CTCP parser improved.
   - Updated default script.
   - Options dialog fixes.

21 Mar 2004:
   [Trisk]
   - Many, many more options dialog changes.

20 Mar 2004:
   [Pragma]
   - Added several window.* functions
   - Redirected /whois output to the active window
   - Options dialog fixes
   - Added scripting toolbar
   - Cleaned up some documentation and forced gendoc.pl to ignore the new kvs docs that are not "hardwired" yet
   - Added some graphics for the final 3.0.0 release
   - Added a couple of keyboard shortcuts (all described in doc_keyboard.html)

20 Mar 2004:
   [Trisk]
   - Some parsing of 005/RPL_ISUPPORT added. Uses PREFIX and and CHANTYPES.

18 Mar 2004:
   [Trisk]
   - KviUserListView API change: set[beI]Entries -> setMaskEntries().
   - KviUserListView minimum width is 100px (due to continuing annoyance of
     mode editor resizing the thing... not a good solution, but whatever).
   - Lots of options dialog changes.
   - Classic taskbar now limits number of rows (when horizontal).
   - KviChannel API change: banMask(), etc. removed in favour of setMask().
   - Mask editor requests new list when opened after a mode change.
   * Fixes problem with CR ircd where -b messages may not match bans in list due     to stupid inconsistent hostmasking.

12 Mar 2004:
   [Trisk]
   - Auto-reconnect attempts are now counted, delay configurable.
   * FIXME: Make it possible to stop the reconnect timer before it triggers.
   - Several huge if() conditions replaced with switch() statements.
   - Various minor issues fixed.

07 Mar 2004:
   [Trisk]
   - Improved script editor cursor location tracking and configuration dialog.
   - Input widget clean-ups, global input history fixed.

03 Mar 2004:
   [Pragma]
   - Some work on the options dialog: moved some options to more appropriate places,
     rearranged some options widget orders, fixed descriptions etc..
   - Fix for OnChannelNotice not passing the target argument
   - More misc hacks that I can't remember :)

02 Mar 2004:
   [Pragma]
   - Added OnQueryWindowRequest to catch and block the query window creation events.
   - Added OnQueryTargetAdded
   - Corrected a lot of bugs reported on bugtrack.kvirc.omnikron.net
   - Corrected the $mask.nick() problem
   - Removed the $ic warning when there was no current IRC context
   - Moved the server database to unicode
   - Misc hacks that I can't remember :D

28 Feb 2004:
   [Pragma]
   - Fixed the "keep channels open on kick" crash
   - Probably fixed a sort of a race condition based crash between
     the socket and the console
   - More fiddling with KVS events

24 Feb 2004:
   [Pragma]
   - Yet more work on the KVS engine: events this time
   - Temporairly removed the "force last server" hack since it was breaking the
     servers dialog: one couldn't select a different server to connect to.
     This is commented out until we find a more strict activation condition.
   - Activated the $sw function, this time for real :)

20 Feb 2004:
   [Trisk]
   Added $date function for formatted time strings.

18 Feb 2004:
   [Trisk]
   - Added "all" target for $me and $server functions.
   - Fixed possible $mask() problem, not sure why Pragma removed '*' from
     *user. Behaviour should be consistent with docs now.
   - Cleaned up channel prefix and nick mode prefix (considers invalid chars
     in nick to be a mode prefix).
   * Closes ID 200402112009267112
   * Somebody needs to update the bugtracker...

14-17 Feb 2004:
    [Pragma]
    - Rewritten the script editor widget to use QTextEdit. Dropped
        the whole internal editor since it was not unicode and simply
        too huge for the feature it provided.
    - Modularized and cleaned up the localisation of the editor module
    - More work on KVS engine, module interface nearly estabilished
    - Added support for changing the order of option items in the
        options dialog tree display. Most common options should go at the top.
    - Random fixes around :)

14 Feb 2004:
    [Trisk]
    - Changed 005 numeric parser output a bit, fixes issues with skipping to
      last word of messages.
    * /me hugs Aeri ;)
    - Removed check for KviProperty_FocusOwner.

09 Feb 2004:
    [Juanjo]
    - Fixed a miscompilation --without-info-tips
    - Added the lag to the irc context indicator tooltip.
    - Make the irc context indicator a little bigger (but the correct way
        would be to make it resize itself depending on the inside text size).

06 Feb 2004:
    [Pragma]
    - More work on the KVS engine
    - Added the IrcContextToolbar to the toolbars menu, now it can be hidden
        should the TaskBar be there too ?
    - Moved the TaskBar to be a toolbar like the other ones (and
        thus inherit the toolbars menu on right click etc...)

05 Feb 2004:
    [istari]
    - reformating ChangeLog
    * please use current schema
    * break lines after 80 chars
    - intserting ChangeLog into website

23 Jan 2004:
    [Pragma]
    - More work on the KVS engine : popups almost ready
    - Fixed a regusers bug that didn't allow to register channels with a '@'
      character in it
    - More windows port: kvilib, kvirc and several modules are already working
    - Fixed an expression parser bug related to string/number comparisons
    - Added $sw() function for switch handling in aliases

20 Jan 2004:
    [Trisk]
    - Dock icon menu bug fixed, new entries added.
    * Problem with switching to console on frame window restore still present,
      Pragma: Please fix
    - Input right-click menu shows shortcut keys.

19 Jan 2004:
    [Trisk]
    - Adding multiple servers with the same hostname (different port) works.

17 Jan 2004:
    [Trisk]
    - Fixed some more encoding issues.
    - mkprocinstances.sh doesn't use zsh/bash-specific variable arrays now.

15 Jan 2004:
    [Trisk]
    * PragmaOff's been idle for a long time. =\
    - Made logfiles lowercase (helps sorting, if any issues contact me).
    - Made channel and query windows's default logfile contain network name
      instead of console #... makes more sense.
    - Massive server parser changes to ensure text is converted to current
      encoding (fixes issues displaying ISO 8859-1 extended ascii (127+) text).
    - Changed all %d d %d h %d m %d s to %dd %dh %dm %ds.

09 Jan 2004:
    [Trisk]
    - Lots of notify list message changes.

08 Jan 2004:
    [Trisk]
    - More widget width problems fixed (presumably).
    - WHO reply is more informative now.
    - Shortened some taskbar button captions.
    - KviConsole::createQuery() tries to prevent duplicate single-target queries.

06 Jan 2003:
    [Pragma]
    - More work on the new KVS engine
    - Added a -nosplash commandline argument to avoid showing the splash screen
    - Reverted the kvi_activitymeter.png icon: the bars should eventually grow
      from left to right (in the image) instead of top to bottom.
    - Re-added $window to kvi_kvs_corefunctions_sz.cpp : it's the new parser
      version and it will replace the old parser's version in the near future.
      If you want to test the new parser capabilities then run the commands
      by preceding them with a dash:
      /- echo "This is the new parser's version of echo"
      /- echo $window this is the new parser's version of echo \$window
      ...
    - Added four ways of painting the user list view grid. It is user selectable
      now.
      Please tell me which is the best one (to choose the default)

04 Jan 2004:
    [Trisk]
    - Removed duplicate of $window from KviKvsCoreFunctions
      (kvi_kvs_corefunctions_sz.cpp), original is in the uparser...
    - Fixed all the "Jan 2003" dates in the ChangeLog. =)
    - Fixed KviStringSelector etc. width problem.

03 Jan 2004:
    [Trisk]
    - New images, help browser uses Bluecurve ones (temporarily).
    - Taskbar now displays same number of buttons per row.
    - Various spacing changes to selectors again.
    - Fixes to identity dialog.
    * For some reason, the 4th nickname stays blank... not sure why.
    - Various QFrame::Panel -> QFrame::StyledPanel.
    - Dead channels unset limit and key too.
    - Window list shows same name for dead channels and queries.

02 Jan 2004:
    [Pragma]
    - Solaris Forte 7 port (still needs hacking to compile and run flawlessly)
    - Fix for Solaris dns resolver
    - More work on the new KVS engine
    - stdarg.h wrapper to accommodate ugly compilers

01 Jan 2004:
    [Trisk]
    - Dotted line drawn next to nick/avatar in nicklist instead.
    - Changed IP addy editor widget to properly accept '.' and ':'.
    - Redid identity config dialog.

New Years Eve, 2003:
    [Trisk]
    - Draw separator lines above and below avatar and nick.
    - Join channels dialog cleanup.
    - Dock widget minor header changes.

30 Dec 2003:
    [Trisk]
    - Cleaned up some options dialog stuff.
    - Added $version function.

    [Pragma]
    - HTTP avatar option support
    - More unicode porting all around
    - Windows port (kvirc and kvilib projects nearly working)

29 Dec 2003:
    [Trisk]
    - Fixed problem with toolbar options dialog command.
    - Changed ident, proxy, SSL, and transport options pages to use QGroupBox to
      organise options. Maybe add add*SelectorToGroupBox functions later.

28 Dec 2003:
    [Trisk]
    - More new toolbar icons, currently using Bluecurve/Crystal mix.
    - Recent channel, server, and nickname list removes duplicates even if case
      differs.

27 Dec 2003:
    [Trisk]
    - Possible fix for crash if m_pConnectionInfo->szNickName is not set when
      server disconnects the client (before login).
    - Sets AsyncServerCommand on disconnect only if nonexistent; /SERVER works
      now (sorry about that, Pragma).
    - New Connect/Connecting/Disconnected icons.
    - Removed border from channel state and mode icons in user list view and
      lined up icons with text when avatar is used.

    [Pragma]
    - Added avatar caching
    - Reworked the code that remembers the last irc server connected in each
      console now it doesn't break the servers dialog.
      After the commit I've discovered that it collided with the Trisk's solution:
      merged the two solutions in something yet better.
    - Obscure internals: reworked KviIrcMask interface a bit...
      still needs QString porting
    - Written a ChangeLog entry after months of "hidden changes" :D

Christmas Eve (Western Hemisphere) 2003:
    [Trisk]
    - Modified window tooltips a bit...
    - Unset channel mode for dead channels
    - Fixed (hopefully) crash on closing dead channels if disconnected.
    - Remove src/kvirc/kvs/moc_kvi_kvs_object.cpp from repository.
    * Merry Christmas everyone! =)

21 Dec 2003:
    [Trisk]
    - Output correct message when RPL_CHANNELMODEIS is used for user modes.
    - URL highlighting matches only if followed by char greater than 46.
    - Selected text includes control codes (this is a bit of a hack, gets them
      from block attributes). Shift-select strips codes from the selection.
    - Consoles remember last nick (correctly now).
    - PART, TOPIC, and MODE messages will use current channel if no argument.
      KICK will send proper command if no reason specified.
    - Non-query notices and privmsgs go to active window if it is a common
      channel, else to first common channel.

16 Dec 2003:
    [Trisk]
    - GRAMMAR FIXES EVERYWHERE
    * Breaks translations!
    * Breaks stats program log parsers too (pisg)
    - Cleaned up gendocs.pl link names.
    - Rearranged menubar to conform to KDE style standard.
    - Edit menus and buttons for "Book Title" style, changed some item names.
    * PLEASE FELLOW THE KDE STYLE STANDARD, it looks better and is less confusing
    - Made KviUIntSelector use QSpinBox instead of QLineEdit (again).
    - Added uop/userop (+u) support. Currently uses +h icon, will change later.
    - Removed many hardcoded font references.
    - Made logfiles rotate at midnight to update date.
    * Put timer in KviTimerManager for lack of a better place, somebody check
      that this is correct, please...
    - Changed tree window list to show server name for consoles of console caption
      (too long to view). Set bold font for consoles.
    - Fixed channel name showing up twice on part when no message is specified
    - Made external messages (whois info, server notices, etc.) go to console by
      default, added option ExternalMessagesToActiveWindow to override this.
    - Also fixed opnotice (NOTICE @#chan) and made non-query private notices and
      privmsg go to common channel.
    - Replaced CPPFLAGS in all Makefile.am with AM_CPPFLAGS.
    - Made channels missing request mask list when mask list editor is opened.
    - Changed KviIrcMask::getHostDomainMaskPtr() to strip only first part of host;
      user@x.y.z.tld.cc returns user@*.y.z.tld.cc, not user@*.tld.cc - much
      more specific bans, same as getIpDomainMaskLen().
    * This code was already there, but commented out - why?
    - Made console windows remember last server and nickname.

21 Oct 2003:
    [Crissi]
    - 'Always highlight messages with my nick on them' added: Check
      irc::output::highlight tab on options.
    - 'Hightlight only at normal msg' added: Check irc::output::highlight
      tab on options.
    - 'Highlight at highlight msg too' added: Check irc::output::highlight
      tab on options.
    - 'Highlight at query msg too' added: Check irc::output::highlight
      tab on options.
    - 'Highlight only at costum alert level reached' added: Check
      irc::output::highlight tab on options.
    - Translation updated
    - 'Old Tools' menu moved into 'Tools' menu.
    - convert all source files to unix line end because bug in gettext for
      extracting strings from window lineend


12 Oct 2003:
    [Crissi]
    - auto connect of servers after succuessful KVirc startup. Look into advanced
      server info, connection tab.
      For each server you can specify if should autoconnect.

11 Oct 2003:
    [Crissi]
    - Channels can now stored for each server and then auto join them if
      successfully connected to the server. Look into advanced server info,
      'After login join channels' tab. Simply check the channels (from history)
      you want to join. Also you can add a new channel (current bug: after
      adding close/reopen the dialog for showing new channel in list).
    - Minimize console after successful login. Look into Preferences - Options -
      Connection.

12 Aug 2003:
    [Crissi]
    - 'Minimize all windows' and 'Restore all windows' added. Check Menu -
    Window and window action toolbar.

01 Aug 2003:
    [Juanjo]
    - I'm back, ahhh nothing like vacations to do some free software ;)
    - The channel completion will also complete on the list of recent channels.
    - New server completion, if the first four letters of something written on
      the input are "irc." it will try to complete on the list of recent servers.

18 Apr 2003:
    [Crissi]
    - exec module added. Check kvirccvs/modules/exec/README for more info.

26 Mar 2003:
    [Crissi]
    - GUI option 'Use taskbar activity meter' added.
    - GUI option 'Disable ban list request on join' added.
    - GUI option 'Disable ban exception list request on join' added.
    - GUI option 'Disable invite list request on join' added.
    - GUI option 'Use taskbar activity meter' added.
    - Translation extract script fixed
    - Translations and translation template updated.
    - Some comments in kvi_options.h added.

26 Mar 2003:
    [Pragma]
    - Option 'Use taskbar activity meter' added.

28 Feb 2003:
    [Crissi]
    - The width of the taskbar entries is now custoumizable.
    - GUI option 'Minimal width of taskbar buttons' added.

25 Feb 2003:
    [Istari]
    - Moved to the new CVS machine

25 Feb 2003:
    [Crissi]
    - GUI options for symbols on taskbar and disabling global who added.
    - Try to show emoticons with start not with : correctly (not from me...)...
      tell me if you got problems with this...

25 Feb 2003:
    [Pragma]
    - Option for disabling icons in taskbar added.

21 Feb 2003:
    [Crissi]
    - Fixed text on first setup page, Translation possibility for buttons in
      wizard added.

20 Feb 2003:
    [Pragma]
    - Auto-resume transfers when auto-accepted (also GUI option) added.

19 Feb 2003:
    [Crissi]
    - Password field for server shows now only stars instead not plain password.

18 Feb 2003:
    [Crissi]
    - Size of toolbar icon fixed. Right size s now selected if toolbar size if
      changed.

18 Feb 2003:
    [Pragma]
    - Support for broken filename RESUME requests (mIrc's file.ext) added.

15 Feb 2003:
    [Crissi]
    - $mp3player.getmp3tag_album added => get the album

12 Feb 2003:
    [Crissi]
    - The mp3player module now supports reading of mp3 tags.
    - New commands are:
      - $mp3player.getmp3tag_artist => get the artist
      - $mp3player.getmp3tag_comment => get the comment
      - $mp3player.getmp3tag_copright => get the copyright
      - $mp3player.getmp3tag_crc =) get the crc
      - $mp3player.getmp3tag_date => get the year
      - $mp3player.getmp3tag_emphasis => get the emphasis
      - $mp3player.getmp3tag_genre => get the genre
      - $mp3player.getmp3tag_layer => get the MPEG layer
      - $mp3player.getmp3tag_original => get the original flag
      - $mp3player.getmp3tag_title => get the title
      - $mp3player.getmp3tag_tracknumber => get the track number
      - $mp3player.getmp3tag_version => get MPEG version
    - A example script was added (kvirccvs/kvirc/doc/scriptexamples/mp3info.kvs)

4 November 2002:
    [Juanjo]
    - Added widgets to the identity an server dialogs to set a default user mode
      after a conexion to the server.

24 Oct 2002:
    [Juanjo]
    - Reworked a little the Tools menu.
    - Spanish translation updates (only 1000 translations to go, hehe).

19 Oct 2002:
    [Juanjo]
    - Added the alias 'lag' to the default script (it just returns the lag
      using $lag.lag()).
    - Added the event 'OnLagCheck' that get triggered every time there is a
      new lag data. This should help scripters to write their own lagmeters
      without having to poll KVIrc.
    - Added an option to display the lag on the IRC context indicator, making
      all those changes actually useful for the final user :)

18 Oct 2002:
    [Juanjo]
    - Added a new (and very simple) Lagmeter (see the new 'lag' module
      commands and functions), the 'Lag Options' dialog in the options/irc
      window and the 'OnLagAlarmTimeUp' and 'OnLagAlarmTimeDown' events. I'll
      add an applet displaying the lag to the lag module as soon as I figure
      how to do it :)
    - Added the OnPong event.
    - Fixed bug 200210130200522026


10 Oct 2002:
    [Juanjo]
    - I'm back, prepare your debuggers
    - Added a 'Ignore' menu to the userlist users menu.
    - New feature: User highlights (argh, I hate that word). Just update your
         default.kvs and right-click on a user to see how it works. Very
         useful on very crowded channels with lots of parallel conversations
         running and you trying to keep track of one (hello #debian). Also
         added the pertinent commands on the module tmphighlight.
    - The 'clear' command now also clears the message view on channels.

06-24 Jun 2002:
    [Pragma]
    - Pre-release fixes all around
    - SSL stuff..
    - About dialog
    - Fixes for KviIrcView
    - Windows porting
    - uh... I forgot all the things I did :D

29 May - 06 Jun 2002:
    [Pragma]
    - More SSL support
    - A lot of bugfixes (see bugtrack.kvirc.omnikron.net)
    - Arrays support in the whole user parser (uh...this was huge , but
      necessary) a huge set of functions has been moved to the new array
      interface	WARNING: the dictionaries have a new syntax now! %dict{key}
      %something[id] is now reserved to arrays (with numeric id).[br]
    - FOR command added
    - Updated all the example scripts to support the new syntax

23-28 May 2002:
    [Pragma]
    - Preliminary SSL support (try /server -s)
    - Fix for the messed default.kvs (dialog problem)
    - A lot of mem-leaks catched with valgdind
    - Various fixes

22 May 2002:
    [Pragma]
    - KDE Terminal window fix
    - Some new icons

21 May 2002:
    [Juanjo]
    - Using Pragma's support for text icons, added the option to substitute
      some icons (currently ':)', ':D', ':-)', ':-D' and ':-O') in the irc view
      (Options -> Look & Feel -> Irc View). Still not finished.

18-21 May 2002:
    [Pragma]
    - More fixes for windoze
    - Some reguser hacks
    - Command, channel, function and directory completion in the input widget
    - Various thingies all around
    - CTCP Page support (partial for now , need some more options)

7-17 May 2002:
    [Pragma]
    - Tons of fixes for windoze
    - More modules ported to windoze (snd, dockwidget)
    - Text icons initial implementation (try CTRL+I and have fun :)
    - On*Created and OnWindowActivated are now called in the correct order
    - Various thingies all around

6 May 2002:
    [Juanjo]
    - spaste module completed (spaste.setdelay,spaste.list,spaste.stop,etc)
    - Workaround for the tooltips-following-desktops problem (close tooltips
      on input widget keyevent).

1-6 May 2002:
    [Pragma]
    - Fixes for Solaris compilation: thanks to Kenneth Larea for the hints :)
    - Random fixes for make dist
    - Support for anti-flood on CTCP DCC *
    - Failed DCC Handshakes are now optionally reported to the sender with a
      CTCP ERRMSG. The options in the dialog are still missing
    - Fixes for the "bad console repainting" problem
    - es.po charset fixed
    - Added sr.po (thnx Prethorian :)
    - Added auto-windows-tiling feature to the MDI manager
    - Other cleanups here and there...

27 Apr 2002:
    [Juanjo]
    - New module 'spaste' to send text slowly to a conversation window.
    - New option for the input widget right button men in conversation
      windows: 'Paste (slowly)'.

25 Apr 2002:
    [Juanjo]
    - Now the log viewer can be also a MDI window
    - Log viewer listview icons

21 Apr 2002:
    [Juanjo]
    - snd module

1-12 Apr 2002:
    [Pragma]
    - Minor fixes around
    - Fix for the KDE style toolbars
    - Fixes for the liquid KDE theme (transparency).
      not everything works... some label stuff must be fixed in the theme
      engine...
    - Query user list view invisible by default (also saved in the window state)
    - Same for the channel double view
    - Removed /tbutton and /wbutton and added generic /button and /buttonctl
      instead updated the example scripts accordingly
    - Merged the libtool update patch and added more fixes for this
    - Fixes for --with-local-8bit compilation
    - Added kvi_list.h and the compatibility KviPtrList defines to work both
      with qt2 and qt3

31 Mar 2002:
    [Pragma]
    - Mini-Fixes for the snd module (threading arguments) for gcc 3.0.0
    - Mini-fix for libaudiofile check in configure
    - More work on window position saving
    - More work on the offer list window stuff.
    - General fixes for gcc 3.0.0 (can anybody test it ?)

30 Mar 2002:
    [Pragma]
    - Added the beginning of the offer list window
    - Preliminary window properties saving... now handling defaults too
    - Minor utility-functions in the window popup menus
    - Preliminary rearrangements of code for KviConsole.... the header is
      becoming a mess need to order the code syntactically and then maybe extract
      some code to be put in external classes. KviIrcConnection could be an idea.
    - Beginning of code for the toolbar button management... need a module?

29 Mar 2002:
    [Pragma]
    - Will I ever start to use this ChangeLog ? :D

7 Mar 2002:
    [Juanjo]
    - kvisounds script, the sound on OnMeNamed event is useful, really ;)

28 Feb 2002:
    [Juanjo]
    - Pragma branded str module optimizations, docs for all the implemented
      functions.

26 Feb 2002:
    [Juanjo]
    - More str functions, removed strFindFirst for str.findfirst and updated
      the scripts using it (UPDATE YOUR SCRIPTS!!!)

21 Feb 2002:
    [Juanjo]
    - More str functions (still no docs)

19 Feb 2002:
    [Juanjo]
    - Some new functions in the str module

13 Feb 2002:
    [Juanjo]
    - /IGNORE && /UNIGNORE support
    BTW the other guys are also making things, they just don't update the
    Changelog :P

10 Feb 2002:
    [Juanjo]
    - $isOp() $isMeVoice() $isVoice() $isMeHalfOp() and $isHalfOp() added

9 Feb 2002:
    [Juanjo]
    - New log viewer module (logview.open)
    - Fix for the editor not saving his options

4 Feb 2002:
    [Juanjo]
    - Fixes so pragma could add --with-qt-embedded to compile againt Qt Embedded
    (wow!)
    - Get rid of the 'commit' and 'discard' buttons on the user editor; now
      all changes are synced with the local db.

25 Jan 2002:
    [Juanjo]
    - New notify list editor

21 Jan 2002:
    [Juanjo]
    - New identity button on the toolbar, posibility to change nick from the
	  identity dialog if we're connected and es.po work

20 Jan 2002:
    [Juanjo]
    - Added the config widget for the create query on server notice option.
    - Events and events doc: OnDCCChatConnected, OnDCCChatMessage,
      OnDCCSendTransferComplete, OnDCCGetTransferComplete, OnCTCPFlood,
      OnServerNotice, OnChannelNotice...

19 Jan 2002:
    [Juanjo]
    - Added a 'close after join' checkbox to the join channels dialog & fixes.

18 Jan 2002:
    [Juanjo]
    - Added OnAction event
    - Fixes

17 Jan 2002:
    [balboy]
    - updated po file
    - anti idle script changed... but pragma's syntax he gave me is not working
      yet :p

    [Juanjo, which is alive]
    - Added the 'recent servers' Qlist to the servers dialog
    - Added the 'Show after connecting to server' checkbox to the channelsjoin
      widget
    - Servers widget bug fixed
    - Default nick link actions & men
    - Config widget for the tree-taskbar minimum? width option

07 Jan 2002:
    [balboy]
    - minor changes to the default script

05 Jan 2002:
    [balboy]
    - anti idle script added
    - dcc bug alias fixed

22 Nov 2001:
    [Juanjo]
    - Added a bunch of events (On[me]ban/deban, On[me]op/deop,
      On[me]voice/devoice, OnChannelMessage, OnQueryMessage, OnLimitSet/Unset,
      OnKeySet/Unset, OnInvite, On[me]BanException, On[me]BanExceptionRemove,
      etc).

18 Nov 2001:
    [Juanjo]
    - Added a 'Connect to servers' dialog (serversjoin.open) -> update:
      serversconnec.open
    - Added scripted buttons for the channels and servers dialogs.
    - Added $anyConsoleConnected() function.
    - Fixes

12 Nov 2001:
    [YaP]
    - Added DCC user defined port range

10 Nov 2001:
    [Juanjo]
    - Now it has all the functionality ;)

    [YaP]
    - IPv6 porting from Win XP to Win 2000 (Preprocessor definition: WIN2K)

8 Nov 2001:
    [Juanjo]
    - Added a 'Join Channels' widget. It still don't have all the
      funcionality.

4 Nov 2001:
    [Juanjo]
    - Improved away system
    - Option to always highlight own nick on messages
    - Made the splash screen a managed window
    - Added an 'apply' button to the general options dialog

24 Sep 2001:
    [Kristoff]
    - Made Dcc Voice completely configurable, options dialog also added
    - Volume slider for dcc voice added
    - Fixed a bug in alt+arrows switching (sigsegv when window had no context
      assigned)

23 Sep 2001:
    [Kristoff]
    - Switching between windows using ctrl/alt + arrows

13 Sep 2001:
    [Balboy]
    - some more changes to the defscript

12 Sep 2001:
    [Kristoff]
    - Text selected in Help Browser window is now automagically copied into the
      clipboard and can be pasted (Balboy's request).
    - Pressing Enter in Help Browser's lineedit starts search. When the search
      starts the cursor changes into waitCursor (cosmetical improvement :))
    - 22 Mar - 12 Sep... man...
    - biff module added - not functional at all - adding some code not to mess
      with makefiles anymore

12 Sep 2001:
    [Balboy]
    - updated the changelog :p
    - added some functions to the defscript

30 Mar 2001:
    [Balboy]
    - quit function added

22 Mar 2001:
    [Kristoff]
    - combobox object added

17 Mar 2001:
    [Pragma]:
    - A lot of unreported changes again
    - Added anti-aliased font support

17 Feb 2001:
    [Pragma]
    - A lot of changes: removed the libkvigui, it was rather useless, and it is
      better to have all the GUI code into the core executable...(for many
      reasons).
    - Added the first "shy" icq module.

15 Feb 2001:
    [Kristoff]
    - Added urllabel object
      Note: I'm proud to be the first person, that uses this file in the
      year 2001 :-)

05 Dec 2000:
    [Number1]
    - Cleaned up the about dialog, added some new entries and fixed the
      background bug.
      Note: Could people start using this log again please? ;)

12 Sep 2000:
    [Kristoff]
    - started this ChangeLog (to avoid confusion: newset entries go above
      this one ;))
    - added widget object

